package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.domain.DmpProductAttribute;
import com.usky.iot.service.vo.DmpProductAttributeRequest;

import java.util.List;


/**
 * <p>
 * 产品属性表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
public interface DmpProductAttributeService extends CrudService<DmpProductAttribute> {

    boolean add(DmpProductAttribute dmpProductAttribute);

    void update(DmpProductAttribute dmpProductAttribute);

    boolean checkNameUnique(DmpProductAttribute dmpProductAttribute);

    CommonPage<DmpProductAttribute> page(DmpProductAttributeRequest dmpProductAttributeRequest);

    boolean remove(Integer id);

    void updateBatchBind(List<Integer> ids);
}
